Skip to content

Replace Forwarding Class.

PUT
/api/config/namespaces/{metadata.namespace}/forwarding_classs/{metadata.name}
curl --request PUT \
--url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/config/namespaces/example/forwarding_classs/example \
--header 'Authorization: <Authorization>' \
--header 'Content-Type: application/json' \
--data '{ "metadata": { "annotations": {}, "description": "example", "disable": true, "labels": {}, "name": "example", "namespace": "example" }, "spec": { "dscp": { "drop_precedence": "DSCP_AF_LOW", "dscp_class": "DSCP_BEST_EFFORT" }, "dscp_based_queue": {}, "interface_group": "ANY_AVAILABLE_INTERFACE", "no_marking": {}, "no_policer": {}, "policer": { "name": "example", "namespace": "example" }, "queue_id_to_use": "DSCP_BEST_EFFORT", "tos_value": 1 } }'

Replace Forwarding Class will replace the contains of given object.

Examples of this operation.

metadata.namespace
required
string

Namespace This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

metadata.name
required
string

Name The configuration object to be replaced will be looked up by name.

Media typeapplication/json
ReplaceRequest is used to replace contents of a forwarding_class

This is the input message of the ‘Replace’ RPC.

object
metadata
object
annotations
annotations

Annotations is an unstructured key value map stored with a resource that may be set by external tools to store and retrieve arbitrary metadata. They are not queryable and should be preserved when modifying objects.

object
description
description

Human readable description for the object.

string
>= 21 characters <= 1200 characters
disable
disable

A value of true will administratively disable the object.

boolean format: boolean
labels
labels

Map of string keys and values that can be used to organize and categorize (scope and select) objects as chosen by the user. Values specified here will be used by selector expression.

object
name
name

This is the name of configuration object. It has to be unique within the namespace. It can only be specified during create API and cannot be changed during replace API. The value of name has to follow DNS-1035 format. Required: YES.

string
>= 6 characters <= 1024 characters
namespace
namespace

This defines the workspace within which each the configuration object is to be created. Must be a DNS_LABEL format. For a namespace object itself, namespace value will be ""

string
>= 6 characters <= 1024 characters
spec
object
dscp
object
drop_precedence
string
Allowed values: DSCP_AF_LOW DSCP_AF_MEDIUM DSCP_AF_HIGH DSCP_AF_POLICER
dscp_class
string
default: DSCP_BEST_EFFORT
Allowed values: DSCP_BEST_EFFORT DSCP_CLASS1 DSCP_CLASS2 DSCP_CLASS3 DSCP_CLASS4 DSCP_EXPRESS_FORWARDING DSCP_CONTROL_L3 DSCP_CONTROL_L2
dscp_based_queue
object
interface_group
string
default: ANY_AVAILABLE_INTERFACE
Allowed values: ANY_AVAILABLE_INTERFACE INTERFACE_GROUP1 INTERFACE_GROUP2 INTERFACE_GROUP3
no_marking
object
no_policer
object
policer
object
name
name

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then name will hold the referred object’s(e.g. Route’s) name. Required: YES.

string
>= 1 characters <= 128 characters
namespace
namespace

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then namespace will hold the referred object’s(e.g. Route’s) namespace.

string
>= 6 characters <= 64 characters
tenant
tenant

When a configuration object(e.g. Virtual_host) refers to another(e.g route) then tenant will hold the referred object’s(e.g. Route’s) tenant.

string
>= 6 characters <= 64 characters
queue_id_to_use
string
default: DSCP_BEST_EFFORT
Allowed values: DSCP_BEST_EFFORT DSCP_CLASS1 DSCP_CLASS2 DSCP_CLASS3 DSCP_CLASS4 DSCP_EXPRESS_FORWARDING DSCP_CONTROL_L3 DSCP_CONTROL_L2
tos_value

Exclusive with [dscp no_marking] Decimal value of raw 8 bit TOS. In above example DSCP 10 = Precedence Class 1 and drop precedence low.

integer format: int64

A successful response.

Media typeapplication/json
object
Examplegenerated
{}

Returned when operation is not authorized.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when there is no permission to access resource.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when resource is not found.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation on resource is conflicting with current value.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when operation has been rejected as it is happening too frequently.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server encountered an error in processing API.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when service is unavailable temporarily.

Media typeapplication/json
string format: string
Examplegenerated
example

Returned when server timed out processing request.

Media typeapplication/json
string format: string
Examplegenerated
example